Skip to main content

KDS

4 API calls in this section.

List KDS Orders​

Restaurant Menu / KDS
GET/restaurant/kds/orders

Load the kitchen display queue for a location, filtered by kitchen ticket status.

Query parameters

ParameterTypeDescription
location_idstring

Example: {{location_id}}

statusesstring

Example: queued,preparing,ready

pagestring

Example: 1

limitstring

Example: 10

appendstring

Example: false

Headers

ParameterTypeDescription
Authorizationstring

Example: Bearer {{access_token}}

Staging
Request
curl
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/restaurant/kds/orders?location_id=${LOCATION_ID}&statuses=queued,preparing,ready&page=1&limit=10&append=false" \2  --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}"

Response examples

No saved response example. Use Try it to inspect a staging response.

Print Ticket​

Restaurant Menu / KDS
POST/restaurant/kds/tickets/:id/print

Mark a kitchen ticket as printing and record its print time. The response returns the updated ticket.

Path parameters

ParameterTypeDescription
idRequiredstring

Dynamic path value from the request URL.

Headers

ParameterTypeDescription
Authorizationstring

Example: Bearer {{access_token}}

Staging
Request
curl
1curl --globoff --request POST "https://staging-api.ondi.io/functions/v1/restaurant/kds/tickets/${ID}/print" \2  --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}"

Response examples

No saved response example. Use Try it to inspect a staging response.

Update Ticket Status​

Restaurant Menu / KDS
POST/restaurant/kds/tickets/:id/status

Move a kitchen ticket to a supported status and optionally update its preparation estimate.

Path parameters

ParameterTypeDescription
idRequiredstring

Dynamic path value from the request URL.

Headers

ParameterTypeDescription
Authorizationstring

Example: Bearer {{access_token}}

Body parameters

ParameterTypeDescription
statusstring—
Staging
Request
curl
1curl --globoff --request POST "https://staging-api.ondi.io/functions/v1/restaurant/kds/tickets/${ID}/status" \2  --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}" \3  --header "Content-Type: application/json" \4  --data-raw '{5  "status": "preparing"6}'

Response examples

No saved response example. Use Try it to inspect a staging response.

Update Ticket ETA​

Restaurant Menu / KDS
POST/restaurant/kds/tickets/:id/eta

Set the kitchen ticket’s estimated preparation time in minutes.

Path parameters

ParameterTypeDescription
idRequiredstring

Dynamic path value from the request URL.

Headers

ParameterTypeDescription
Authorizationstring

Example: Bearer {{access_token}}

Body parameters

ParameterTypeDescription
eta_minutesnumber—
Staging
Request
curl
1curl --globoff --request POST "https://staging-api.ondi.io/functions/v1/restaurant/kds/tickets/${ID}/eta" \2  --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}" \3  --header "Content-Type: application/json" \4  --data-raw '{5  "eta_minutes": 156}'

Response examples

No saved response example. Use Try it to inspect a staging response.